Description

When using direct http link to the DataMiner services from the Web browser to invoke an algorithm, the request does not arrive to the

service. A blank page (empty text/plain) is returned instead of the XML of the computation. This happens on "our" browsers (Coro,

Scarponi, Panichi) but not on R Cirillo's browser. We have tested in the RPrototypeLab VRE. The interaction works from the portlet,

instead.

Example of call:

http://dataminer0-proto.d4science.org/wps/WebProcessingService?request=Execute&service=WPS&Version

=1.0.0&gcube-token=254c2e2d-7f48-47aa-9fc1-5e6453a41f78-843339462&lang=en-US&Identifier=org.gcube.

dataanalysis.wps.statisticalmanager.synchserver.mappedclasses.transducerers.K_STATISTICS&DataInput

s=inputDataTable=http://data.d4science.org/Y0N6SnB2bGkvTHBjZk9qTytQTndqa2JNTVdUWDlxR1FHbWJQNStIS0N

6Yz0;selectedRaters=r1|r3;categoriesNames=c1|c2|c3|c4

History

#1 - Feb 20, 2017 11:56 AM - Andrea Dell'Amico

- Status changed from New to In Progress

Here is the results of two calls. I got the real ULRs from the nginx logs to spot the differences.

The following one has been executed from the command line using wget and protecting all the URL using "".

/wps/WebProcessingService?request=Execute&service=WPS&Version=1.0.0&gcube-token=254c2e2d-7f48-47aa-9fc1-5e6453

a41f78-843339462&lang=en-US&Identifier=org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclasses

.transducerers.K_STATISTICS&DataInputs=inputDataTable=http://data.d4science.org/Y0N6SnB2bGkvTHBjZk9qTytQTndqa2

JNTVdUWDlxR1FHbWJQNStIS0N6Yz0;selectedRaters=r1%7Cr3;categoriesNames=c1%7Cc2%7Cc3%7Cc4

 The following one has been executed from the browser (Chrome, Firefox and Safari. Each one is the latest stable release, each one has the same

behaviour:

/wps/WebProcessingService?request=Execute&service=WPS&Version=1.0.0&gcube-token=254c2e2d-7f48-47aa-9fc1-5e6453

a41f78-843339462&lang=en-US&Identifier=org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclasses

.transducerers.K_STATISTICS&DataInputs=inputDataTable=http://data.d4science.org/Y0N6SnB2bGkvTHBjZk9qTytQTndqa2

JNTVdUWDlxR1FHbWJQNStIS0N6Yz0;selectedRaters=r1|r3;categoriesNames=c1|c2|c3|c4

 The former produces a result, the latter is invalid because it's wrong. The first URL works also when run from the browser. Try 

http://dataminer0-proto.d4science.org/wps/WebProcessingService?request=Execute&service=WPS&Version=1.0.0&gcube-token=254c2e2d-7f48-47

aa-9fc1-5e6453a41f78-843339462&lang=en-US&Identifier=org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclasses.transducerer

s.K_STATISTICS&DataInputs=inputDataTable=http://data.d4science.org/Y0N6SnB2bGkvTHBjZk9qTytQTndqa2JNTVdUWDlxR1FHbWJQNStIS0N6

Yz0;selectedRaters=r1%7Cr3;categoriesNames=c1%7Cc2%7Cc3%7Cc4

#2 - Feb 20, 2017 11:57 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

#3 - Feb 20, 2017 12:08 PM - Gianpaolo Coro

- Status changed from Feedback to Resolved

OK you're right the URL needs to be URL-encoded. What is strange to me is that the browser should already encode the URL parameters by itself,

but it seems this does not happen with those "inner" parameters. The URL produced by the DataMiner should indeed encode them perhaps.
#4 - Feb 20, 2017 12:38 PM - Pasquale Pagano

What resolved means in this case? Has the data miner implementation been changed but not deployed? 

#5 - Mar 01, 2017 07:37 PM - Pasquale Pagano

- Status changed from Resolved to Closed

I am closing this ticket since I did not get any answer to my request for comment. 

#6 - Mar 01, 2017 10:36 PM - Gianpaolo Coro

You are right, sorry. We have added the modifications to the current release and have opened other tickets to report them. I missed to link these to

this ticket.
